import request from '@/utils/request'

export function login(username, password) {
  return request({
    url: '/signin',
    method: 'post',
    data: {
      username,
      password
    }
  })
}

export function getInfo(token) {
  return request({
    url: '/info',
    method: 'get',
    params: { token }
  })
}
// ＡＰＩ登出？
// export function logout() {
//   return request({
//     url: '/users/logout',
//     method: 'post'
//   })
// }

// chage password
export function logout() {
  return request({
    url: '/logout',
    method: 'post'
  })
}
